| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | PUT |
https://your-system-name.thulium.com/api/crm_outbounds/:id/records/:customer_id
|
id
wymagany |
Pięcioznakowy identyfikator kampanii.
Przykładowa wartość: 00001
|
|
customer_id
wymagany |
Identyfikator klienta zapisanego w CRM.
Przykładowa wartość: 441
|
|
status_id
opcjonalny |
Identyfikator statusu rekordu w kampanii.
Przykładowa wartość: 8
|
|
dictionary_status_id
opcjonalny |
Identyfikator statusu słownikowego.
Przykładowa wartość: 8
|
|
agent_login
opcjonalny |
Login agenta do którego zostanie przypisany rekord. Wymagane dla statusu systemowego MY_RECORD.
Przykładowa wartość: j.doe
|
|
next_call_date
opcjonalny |
Data następnego kontaktu w formacie YYYY-MM-DD hh:mm. Wymagane dla statusu systemowego MY_RECORD i CALL_NO_SOONER_THAN.
Przykładowa wartość: 2018-05-24 12:24
|
|
order
opcjonalny |
Kolejność rekordu
Przykładowa wartość: 50
|
| PUT | https://your-system-name.thulium.com/api/crm_outbounds/00001/records/441 |
| Dane | {"status_id":"3"} |
<!-- pusty -->
<?php $data = '{"status_id":"3"}'; $request = curl_init('https://your-system-name.thulium.com/api/crm_outbounds/00001/records/441'); curl_setopt($request, CURLOPT_HTTPHEADER, array( 'Content-Type: application/json; charset=utf-8', 'Content-Length: ' . mb_strlen($data) )); curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass'); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'PUT'); curl_setopt($request, CURLOPT_POSTFIELDS, $data); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.put("https://your-system-name.thulium.com/api/crm_outbounds/00001/records/441", "{\"status_id\":\"3\"}"); System.out.println(response); } }
curl -u api_user:api_pass -k -X PUT -H "Content-type: application/json" -d '{"status_id":"3"}' "https://your-system-name.thulium.com/api/crm_outbounds/00001/records/441"
echo '{"status_id":"3"}' | http -a api_user:api_pass PUT https://your-system-name.thulium.com/api/crm_outbounds/00001/records/441